/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of CG_ModeSwitch demo
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Global variables ----------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
SYSSTAT fSysSleep = WAKE;
/* Main function */
int main(void)
{
    /* Initialize system */
    CG_SetSystem();
    SW_Init();
    LED_Init();
    LED_On(LED0);
    /* set INT0 as interrupt source */
    TSB_PG->FR1 |= 0x08;
    TSB_PG->IE |= 0x08;
    while (1) {

        if (SW_Get(SW0) == 1U) {
            fSysSleep = SLEEP;
            LED_Off(LED0);

            CG_NormalToStop1();

            /* Connect PG3 to VCC to recover from STOP mode */
            LED_On(LED0);
            fSysSleep = WAKE;
            NVIC_DisableIRQ(INT0_IRQn);

        } else {
            LED_On(LED2);
        }
    }

}


#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
/*********************************** END OF FILE ******************************/
