/**
 *******************************************************************************
 * @file    tmpm365_tmrb_int.c
 * @brief   all interrupt request functions definition of TMRB_TIMER demo
 *          for the TOSHIBA 'tmpm365' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm365_tmrb_int.h"
#include "led.h"
/**
  * @brief  TMRB0 interrupt service routine (1ms)
  * @param  None
  * @retval None
  */

void INTTB0_IRQHandler(void)
{
    static uint16_t tbcount = 0U;
    static uint8_t ledon = 1U;
    tbcount++;
    if (tbcount >= 500) {
        tbcount = 0U;
        /* reverse LED output */
        ledon = (ledon == 0U) ? 1U : 0U;
        if (0U == ledon) {
            LED_Off(LED0);
        } else {
            LED_On(LED0);
        }
    } else {
        /* Do nothing */
    }
}

/*********************************** END OF FILE ******************************/
