/**
 *******************************************************************************
 * @file    usbd_var.c
 * @brief   USB Common Variables Code for TOSHIBA 'TMPM366' Device Series
 * @version V0.201
 * @date    2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#include "usbd_hw.h"
#include "usbd_var.h"

/* Endpoint FIFO Access */
uint32_t gEP0RWFIFO_RemainSize;
uint8_t *gEP0RWFIFO_StartAddress;       /* start pointer of EP0 transmit Data */

uint32_t gEPxRWFIFO_RemainSize[CNumEndpointSupport];
uint8_t *gEPxRWFIFO_StartAddress[CNumEndpointSupport];

uint32_t gEPxPayload_Size[CNumEndpointSupport];
uint32_t gEPxConfigArray[CNumEndpointSupport];

USBD_BIT32_t gEPxStallFeatureFlag;

UDC2_ADDR_t gUDC2Addr;          /* Current Device State */
UDC2_ADDR_t gUDC2AddrBuf;       /* Buffer of Current Device State */

uint32_t g_USB_Stage;

/*  Request Parameter of Setup Data */
SetupDataFormat_t gSetupFormatData;

/* EOC */
